require 'active_support/core_ext/hash'
class Devbootcamp::Model

  def self.attributes *attributes
    @attributes ||= []
    if !attributes.empty?
      @attributes += attributes.map(&:to_sym).each do |attribute|
        define_method(attribute){ @attributes[attribute] }
      end
    end
    @attributes
  end

  def initialize(attributes={})
    @attributes = attributes.with_indifferent_access
  end

  attr_reader :attributes

  def serializable_hash(options=nil)
    attributes
  end

  def as_json(options=nil)
    attributes
  end

end
